
[ppc64] rename the rtas event classes to avoid namespace collisions, from John Rose


---

 arch/ppc64/kernel/ras.c   |    4 ++--
 arch/ppc64/kernel/rtasd.c |    3 +--
 include/asm-ppc64/rtas.h  |   10 +++++-----
 3 files changed, 8 insertions(+), 9 deletions(-)

diff -puN arch/ppc64/kernel/ras.c~ppc64-rtas_rename arch/ppc64/kernel/ras.c
--- 25/arch/ppc64/kernel/ras.c~ppc64-rtas_rename	2004-01-13 23:22:39.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/ras.c	2004-01-13 23:22:39.000000000 -0800
@@ -114,7 +114,7 @@ ras_epow_interrupt(int irq, void *dev_id
 
 	status = rtas_call(rtas_token("check-exception"), 6, 1, NULL, 
 			   0x500, irq, 
-			   EPOW_WARNING | POWERMGM_EVENTS, 
+			   RTAS_EPOW_WARNING | RTAS_POWERMGM_EVENTS, 
 			   1,  /* Time Critical */
 			   __pa(&log_entry), size);
 
@@ -142,7 +142,7 @@ ras_error_interrupt(int irq, void *dev_i
 
 	status = rtas_call(rtas_token("check-exception"), 6, 1, NULL, 
 			   0x500, irq, 
-			   INTERNAL_ERROR, 
+			   RTAS_INTERNAL_ERROR, 
 			   1, /* Time Critical */
 			   __pa(&log_entry), size);
 
diff -puN arch/ppc64/kernel/rtasd.c~ppc64-rtas_rename arch/ppc64/kernel/rtasd.c
--- 25/arch/ppc64/kernel/rtasd.c~ppc64-rtas_rename	2004-01-13 23:22:39.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/rtasd.c	2004-01-13 23:22:39.000000000 -0800
@@ -44,7 +44,6 @@ static int surveillance_requested;
 static unsigned int rtas_event_scan_rate;
 static unsigned int rtas_error_log_max;
 
-#define EVENT_SCAN_ALL_EVENTS	0xf0000000
 #define SURVEILLANCE_TOKEN	9000
 #define SURVEILLANCE_TIMEOUT	1
 #define SURVEILLANCE_SCANRATE	1
@@ -234,7 +233,7 @@ repeat:
 		do {
 			memset(logdata, 0, rtas_error_log_max);
 			error = rtas_call(event_scan, 4, 1, NULL,
-					EVENT_SCAN_ALL_EVENTS, 0,
+					RTAS_EVENT_SCAN_ALL_EVENTS, 0,
 					__pa(logdata), rtas_error_log_max);
 			if (error == -1) {
 				printk(KERN_ERR "event-scan failed\n");
diff -puN include/asm-ppc64/rtas.h~ppc64-rtas_rename include/asm-ppc64/rtas.h
--- 25/include/asm-ppc64/rtas.h~ppc64-rtas_rename	2004-01-13 23:22:39.000000000 -0800
+++ 25-akpm/include/asm-ppc64/rtas.h	2004-01-13 23:22:39.000000000 -0800
@@ -57,11 +57,11 @@ struct rtas_t {
 };
 
 /* Event classes */
-#define INTERNAL_ERROR		0x80000000 /* set bit 0 */
-#define EPOW_WARNING		0x40000000 /* set bit 1 */
-#define POWERMGM_EVENTS		0x20000000 /* set bit 2 */
-#define HOTPLUG_EVENTS		0x10000000 /* set bit 3 */
-#define EVENT_SCAN_ALL_EVENTS	0xf0000000
+#define RTAS_INTERNAL_ERROR		0x80000000 /* set bit 0 */
+#define RTAS_EPOW_WARNING		0x40000000 /* set bit 1 */
+#define RTAS_POWERMGM_EVENTS		0x20000000 /* set bit 2 */
+#define RTAS_HOTPLUG_EVENTS		0x10000000 /* set bit 3 */
+#define RTAS_EVENT_SCAN_ALL_EVENTS	0xf0000000
 
 /* event-scan returns */
 #define SEVERITY_FATAL		0x5

_
